## kgraphviewer 2.0.2

=== src/CMakeLists.txt ===
add_subdirectory( part )

include_directories( part printing ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )


########### kgraphviewer target ###############

set(kgraphviewer_SRCS main.cpp kgraphviewer.cpp kgraphviewerConfigDialog.cpp)

qt4_add_dbus_adaptor(kgraphviewer_SRCS org.kde.kgraphviewer.xml kgraphviewer.h KGraphViewer)

kde4_add_kcfg_files( kgraphviewer_SRCS kgraphviewersettings.kcfgc )

kde4_add_ui_files( kgraphviewer_SRCS preferencesReload.ui preferencesParsing.ui preferencesOpenInExistingWindow.ui preferencesReopenPreviouslyOpenedFiles.ui )

kde4_add_executable(kgraphviewer ${kgraphviewer_SRCS})

target_link_libraries(kgraphviewer  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS}  gvc graph pathplan cdt)

install( TARGETS kgraphviewer ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install kgraphviewer files ###############

kde4_install_icons( ${ICON_INSTALL_DIR} )

install( FILES kgraphviewersettings.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES kgraphviewerui.rc DESTINATION ${DATA_INSTALL_DIR}/kgraphviewer )
install( FILES kgraphviewer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


########### kgrapheditor target ###############

set(kgrapheditor_SRCS kgrapheditormain.cpp kgrapheditor.cpp kgrapheditorConfigDialog.cpp KGraphEditorNodesTreeWidget.cpp KGraphEditorElementTreeWidget.cpp)

qt4_add_dbus_adaptor(kgrapheditor_SRCS org.kde.kgrapheditor.xml kgrapheditor.h KGraphEditor)

kde4_add_kcfg_files( kgrapheditor_SRCS kgrapheditorsettings.kcfgc )

kde4_add_ui_files( kgrapheditor_SRCS preferencesReload.ui preferencesOpenInExistingWindow.ui preferencesReopenPreviouslyOpenedFiles.ui )

kde4_add_executable(kgrapheditor ${kgrapheditor_SRCS})

target_link_libraries(kgrapheditor  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS})

install( TARGETS kgrapheditor ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install kgrapheditor files ###############

install( FILES kgrapheditorsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES kgrapheditorui.rc DESTINATION ${DATA_INSTALL_DIR}/kgrapheditor )
install( FILES kgrapheditor.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

=== po/hi/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( hi ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== src/part/CMakeLists.txt ===
include_directories( ../ ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )


########### next target ###############

set( kgraphviewerpart_PART_SRCS kgraphviewer_part.cpp graphelement.cpp graphsubgraph.cpp graphnode.cpp graphedge.cpp graphexporter.cpp pannerview.cpp canvassubgraph.cpp canvasnode.cpp canvasedge.cpp canvaselement.cpp dotgraph.cpp dotgraphview.cpp dot2qtconsts.cpp dotgrammar.cpp DotGraphParsingHelper.cpp FontsCache.cpp simpleprintingsettings.cpp simpleprintingengine.cpp simpleprintingcommand.cpp simpleprintingpagesetup.cpp simpleprintpreviewwindow_p.cpp simpleprintpreviewwindow.cpp KgvGlobal.cpp KgvUnit.cpp KgvUnitWidgets.cpp KgvPageLayoutColumns.cpp KgvPageLayoutDia.cpp KgvPageLayout.cpp KgvPageLayoutHeader.cpp KgvPageLayoutSize.cpp )

kde4_add_kcfg_files( kgraphviewerpart_PART_SRCS kgraphviewer_partsettings.kcfgc )

set( kgraphviewerprinting_UI simpleprintingpagesetupbase.ui KgvPageLayoutColumnsBase.ui KgvPageLayoutHeaderBase.ui )

kde4_add_ui_files(kgraphviewerpart_PART_SRCS ${kgraphviewerprinting_UI} )


kde4_add_plugin(kgraphviewerpart ${kgraphviewerpart_PART_SRCS})

add_definitions(-DQT_STL)
target_link_libraries(kgraphviewerpart  ${QT_QTXML_LIBRARY} ${QT_QTSVG_LIBRARY} ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KHTML_LIBS} ${KDE4_KWALLETCLIENT_LIBS} ${KDE4_KDESU_LIBS} gvc graph pathplan cdt)

install( TARGETS kgraphviewerpart DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kgraphviewer_partsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES kgraphviewer_part.rc DESTINATION ${DATA_INSTALL_DIR}/kgraphviewerpart )

install( FILES kgraphviewer_part.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kgraphviewer-bev.png DESTINATION ${DATA_INSTALL_DIR}/kgraphviewerpart/pics )
install( FILES kgraphviewer-newnode.png DESTINATION ${DATA_INSTALL_DIR}/kgraphviewerpart/pics )
install( FILES kgraphviewer-newedge.png DESTINATION ${DATA_INSTALL_DIR}/kgraphviewerpart/pics )

## kgraphviewer 2.0.2-kde4.4.0

=== debian/changelog ===
kgraphviewer (4:2.0.2-kde4.4.0-0ubuntu4) natty; urgency=low

  * Build with boost1.42

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Oct 2010 14:01:50 -0400

kgraphviewer (4:2.0.2-kde4.4.0-0ubuntu3) maverick; urgency=low

  * Bump the doctype version to 4.2 in all index.docbook (fixes FTBFS). 

 -- Michael Bienia <geser@ubuntu.com>  Mon, 09 Aug 2010 19:09:13 +0200

kgraphviewer (4:2.0.2-kde4.4.0-0ubuntu2) maverick; urgency=low

  * Rebuild for new graphviz package name changes.
  * debian/control: Add graphviz to depends. (LP: #432356)

 -- Andreas Wenning <awen@awen.dk>  Sun, 23 May 2010 20:42:28 +0200

kgraphviewer (4:2.0.2-kde4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump compat to 7
    - Bump build-depends and Standards-version
    - Source format 3.0
    - Build againsta libphonon-dev
    - Drop cdbs
    - Build with dh --with kde in rules
    - Add pkg-kde-tools to build-depends
    - Drop debian/patches went to upstream
    - Add ${misc:Depends} to depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 12 Feb 2010 22:41:08 +0100

kgraphviewer (4:2.0.2-kde4.3.0-0ubuntu4) lucid; urgency=low

  * Build with boost 1.40.

 -- Michał Zając <michal.zajac@gmail.com>  Thu, 17 Dec 2009 16:56:59 +0100

kgraphviewer (4:2.0.2-kde4.3.0-0ubuntu3) karmic; urgency=low

  * Correct build-dep on libgraphviz-dev to actually be libgraphviz-dev

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Aug 2009 11:25:25 -0400

kgraphviewer (4:2.0.2-kde4.3.0-0ubuntu2) karmic; urgency=low

  * Build using kde.mk from pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 15:28:18 +0100

kgraphviewer (4:2.0.2-kde4.3.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Add build-dep on libgraphviz-dev
  * Build with boost 1.38
  * Add patch kubuntu_01_convert_string.diff, keeps GCC happy

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 15:01:51 +0100

kgraphviewer (4:2.0.2-kde4.2.0-0ubuntu3) karmic; urgency=low

  * use boost 1.85

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 14:50:13 +0100

kgraphviewer (4:2.0.2-kde4.2.0-0ubuntu2) jaunty; urgency=low

  * Drop kgraphviewer-kde4 transitional package
    - Remove from debian/control
    - Remove debian/kgraphviewer.install
  * Change build-dep on libboost-dev to libboost1.35-dev for the boost1.35
    transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 04 Feb 2009 00:52:09 -0500

kgraphviewer (4:2.0.2-kde4.2.0-0ubuntu1) jaunty; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 27 Jan 2009 22:30:48 -0500

kgraphviewer (4:2.0.2-kde4.1.2-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Guillaume Martres <smarter@ubuntu.com>  Sat, 27 Sep 2008 17:02:43 +0200

kgraphviewer (4:2.0.2-kde4.1.1-0ubuntu2) intrepid; urgency=low

  * Updated rules, rebuild with new kdelibs

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 03 Sep 2008 10:29:45 -0400

kgraphviewer (4:2.0.2-kde4.1.1-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Removed debian/cdbs dir, using cdbs kde4.mk

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 30 Aug 2008 21:38:37 -0400

kgraphviewer (4:2.0.2-kde4.1.0-0ubuntu2) intrepid; urgency=low

  * Added kgraphviewer.install file

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 31 Jul 2008 23:00:24 -0400

kgraphviewer (4:2.0.2-kde4.1.0-0ubuntu1) intrepid; urgency=low

  * New upstream release, 4.1 final

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 26 Jul 2008 21:30:45 -0400

kgraphviewer (4:2.0.2-kde4.0.98-0ubuntu3) intrepid; urgency=low

  * Added epoch version 4 to maintain upstream versions

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 15 Jul 2008 22:25:41 -0400

kgraphviewer (2.0.2-kde4.0.98-0ubuntu2) intrepid; urgency=low

  * Add transitional package kgraphviewer-kde4 -> kgraphviewer

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 14 Jul 2008 22:01:01 -0400

kgraphviewer (2.0.2-kde4.0.98-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #248548)
  * debian/control: added Replaces: kgraphviewer-kde4
  * bumped standards version to 3.8.0

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 14 Jul 2008 18:44:36 -0400

kgraphviewer (2.0.2-kde4.0.83-0ubuntu1) intrepid; urgency=low

  * New upstream version

 -- Richard Birnie <Arbyuk@googlemail.com>  Fri, 27 Jun 2008 07:19:31 +0000

kgraphviewer (2.0.2kde4.0.80-0ubuntu1) intrepid; urgency=low

  * New minor upstream release
  * Dropped -kde4 from package name
  * Dropped creation of binary wrapper from debian/rules

 -- Richard Birnie <Arbyuk@googlemail.com>  Tue, 10 Jun 2008 20:25:32 +0100

kgraphviewer-kde4 (4:2.0-0ubuntu2) hardy; urgency=low

  * New minor upstream release

 -- Richard A. Johnson <nixternal@kubuntu.org>  Mon, 03 Mar 2008 17:29:20 -0600

kgraphviewer-kde4 (4:2.0-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Updated kde.mk
  * Bumped kdelibs5-dev and kdepimlibs5-dev deps to 4:4.0.1

 -- Richard A. Johnson <nixternal@kubuntu.org>  Mon, 04 Feb 2008 17:37:22 -0600

kgraphviewer-kde4 (4.0.0-0ubuntu1) hardy; urgency=low

  * Initial release for Ubuntu, merge from Debian, Ubuntu changes are:
    - cdbs/kde.mk: updated installation locations and removed rpath
    - debian/control: updated Maintainer according to Ubuntu specs
    - debian/control: renamed package to kgraphviewer-kde4
    - debian/control: added homepage
    - debian/control: added kdepimlibs5-dev and libphonon-dev to build-deps
    - debian/rules: added KDE 4 magic foo
  * New upstream release

 -- Richard A. Johnson <nixternal@kubuntu.org>  Wed, 09 Jan 2008 22:40:24 -0600

kgraphviewer (3.97.0-1) experimental; urgency=low

  * New upstream release.
  * Build depend on kdebase-workspace-dev >= 4:3.97.0.
  * Update installed files.
  * Add new package extragear-plasma-l10n for localization files.
  * Remove dependency on sharutils. Not needed anymore.
  * Add export LDFLAGS+="-Wl,--as-needed" in rules to make dpkg-shlibdeps
    happier.


=== debian/control ===
Source: kgraphviewer
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <trigger+debian@space-based.de>
Build-Depends: debhelper (>= 7.4.13), cmake, kdelibs5-dev (>= 4:4.4.0),
 libboost1.42-dev, kdepimlibs5-dev (>= 4:4.4.0), libphonon-dev,
 libgraphviz-dev, pkg-kde-tools (>= 0.5.3)
Standards-Version: 3.8.4
Homepage: http://extragear.kde.org/apps/kgraphviewer/

Package: kgraphviewer
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}, graphviz
Description: a GraphViz dot graph viewer for KDE 4
 KGraphViewer is a GraphViz dot graph viewer for KDE 4. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.

## kgraphviewer 2.1.1

=== CMakeLists.txt ===
project(kgraphviewer)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH})


# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

# are these two really required ?
find_package(ZLIB REQUIRED)
if (APPLE)
   find_package(Carbon REQUIRED)
endif (APPLE)

find_package(Boost 1.36 REQUIRED)
find_package(GraphViz REQUIRED)

if(NOT DOT)
   MESSAGE(STATUS "dot executable from GraphViz not found. You will need it at runtime")
endif(NOT DOT)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DQT3_SUPPORT)

remove_definitions(-DQT_NO_STL) 

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})


configure_file (config-kgraphviewer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kgraphviewer.h )

add_subdirectory(src)
add_subdirectory(doc)


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== doc/CMakeLists.txt ===
add_subdirectory(sv)
add_subdirectory(pt_BR)
add_subdirectory(it)
add_subdirectory(en_US)
add_subdirectory(de)
add_subdirectory(et)
add_subdirectory(pt)
add_subdirectory(uk)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(gl)
add_subdirectory(pa)
add_subdirectory(sv)
add_subdirectory(vi)
add_subdirectory(ja)
add_subdirectory(se)
add_subdirectory(es)
add_subdirectory(eo)
add_subdirectory(eu)
add_subdirectory(pt_BR)
add_subdirectory(nds)
add_subdirectory(it)
add_subdirectory(nn)
add_subdirectory(en_GB)
add_subdirectory(is)
add_subdirectory(hi)
add_subdirectory(zh_TW)
add_subdirectory(hr)
add_subdirectory(nl)
add_subdirectory(ro)
add_subdirectory(ga)
add_subdirectory(ku)
add_subdirectory(el)
add_subdirectory(lt)
add_subdirectory(sk)
add_subdirectory(zh_CN)
add_subdirectory(de)
add_subdirectory(cs)
add_subdirectory(be)
add_subdirectory(tr)
add_subdirectory(da)
add_subdirectory(et)
add_subdirectory(km)
add_subdirectory(ru)
add_subdirectory(pt)
add_subdirectory(uk)
add_subdirectory(hne)
add_subdirectory(mai)
add_subdirectory(th)
add_subdirectory(fr)
add_subdirectory(nb)
add_subdirectory(ca)
add_subdirectory(pl)
add_subdirectory(ca@valencia)
add_subdirectory(bg)
add_subdirectory(ar)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,28 @@
 add_subdirectory( part )
 
-include_directories( part printing ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )
+include_directories( part ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )
 
 
 ########### kgraphviewer target ###############
 
 set(kgraphviewer_SRCS main.cpp kgraphviewer.cpp kgraphviewerConfigDialog.cpp)
 
-qt4_add_dbus_adaptor(kgraphviewer_SRCS org.kde.kgraphviewer.xml kgraphviewer.h KGraphViewer)
+qt4_add_dbus_adaptor(kgraphviewer_SRCS org.kde.kgraphviewer.xml kgraphviewer.h KGraphViewerWindow)
 
 kde4_add_kcfg_files( kgraphviewer_SRCS kgraphviewersettings.kcfgc )
 
-kde4_add_ui_files( kgraphviewer_SRCS preferencesReload.ui preferencesParsing.ui preferencesOpenInExistingWindow.ui preferencesReopenPreviouslyOpenedFiles.ui )
+kde4_add_ui_files(
+  kgraphviewer_SRCS
+  preferencesReload.ui
+  preferencesParsing.ui
+  preferencesOpenInExistingWindow.ui
+  preferencesReopenPreviouslyOpenedFiles.ui
+  preferencesAppearance.ui
+)
 
 kde4_add_executable(kgraphviewer ${kgraphviewer_SRCS})
 
-target_link_libraries(kgraphviewer  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS}  gvc graph pathplan cdt)
+target_link_libraries(kgraphviewer  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS})
 
 install( TARGETS kgraphviewer ${INSTALL_TARGETS_DEFAULT_ARGS})
 
@@ -36,11 +43,11 @@
 
 kde4_add_kcfg_files( kgrapheditor_SRCS kgrapheditorsettings.kcfgc )
 
-kde4_add_ui_files( kgrapheditor_SRCS preferencesReload.ui preferencesOpenInExistingWindow.ui preferencesReopenPreviouslyOpenedFiles.ui )
+kde4_add_ui_files( kgrapheditor_SRCS preferencesReload.ui preferencesParsing.ui preferencesOpenInExistingWindow.ui preferencesReopenPreviouslyOpenedFiles.ui )
 
 kde4_add_executable(kgrapheditor ${kgrapheditor_SRCS})
 
-target_link_libraries(kgrapheditor  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS})
+target_link_libraries(kgrapheditor  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS} kgraphviewerlib)
 
 install( TARGETS kgrapheditor ${INSTALL_TARGETS_DEFAULT_ARGS})
 
@@ -51,3 +58,6 @@
 install( FILES kgrapheditor.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
 
 
+
+#add_subdirectory(plasmaapplet)
+

=== src/part/CMakeLists.txt ===
include_directories( ../ ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${Boost_INCLUDE_DIRS} ${graphviz_INCLUDE_DIRECTORIES} )

link_directories(${CMAKE_BINARY_DIR}/lib)

########### next target ###############

set( kgraphviewerlib_LIB_SRCS loadagraphthread.cpp layoutagraphthread.cpp graphelement.cpp graphsubgraph.cpp graphnode.cpp graphedge.cpp graphexporter.cpp pannerview.cpp canvassubgraph.cpp canvasnode.cpp canvasedge.cpp canvaselement.cpp dotgraph.cpp dotgraphview.cpp dot2qtconsts.cpp dotgrammar.cpp DotGraphParsingHelper.cpp FontsCache.cpp simpleprintingsettings.cpp simpleprintingengine.cpp simpleprintingcommand.cpp simpleprintingpagesetup.cpp simpleprintpreviewwindow_p.cpp simpleprintpreviewwindow.cpp KgvGlobal.cpp KgvUnit.cpp KgvUnitWidgets.cpp KgvPageLayoutColumns.cpp KgvPageLayoutDia.cpp KgvPageLayout.cpp KgvPageLayoutHeader.cpp KgvPageLayoutSize.cpp)

kde4_add_kcfg_files( kgraphviewerlib_LIB_SRCS kgraphviewer_partsettings.kcfgc )

set( kgraphviewerprinting_UI simpleprintingpagesetupbase.ui KgvPageLayoutColumnsBase.ui KgvPageLayoutHeaderBase.ui )

kde4_add_ui_files(kgraphviewerlib_LIB_SRCS ${kgraphviewerprinting_UI} )


kde4_add_library(kgraphviewerlib SHARED ${kgraphviewerlib_LIB_SRCS})

add_definitions(-DQT_STL)
target_link_libraries(kgraphviewerlib  ${QT_QTXML_LIBRARY} ${QT_QTSVG_LIBRARY} ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KHTML_LIBS} ${KDE4_KWALLETCLIENT_LIBS} ${KDE4_KDESU_LIBS} ${graphviz_LIBRARIES})

set_target_properties(kgraphviewerlib PROPERTIES VERSION 2.1 SOVERSION 3 OUTPUT_NAME kgraphviewer )

install( TARGETS kgraphviewerlib ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set( kgraphviewerpart_PART_SRCS kgraphviewer_part.cpp  )

kde4_add_plugin(kgraphviewerpart ${kgraphviewerpart_PART_SRCS})

add_definitions(-DQT_STL)
target_link_libraries(kgraphviewerpart ${QT_QTXML_LIBRARY} ${QT_QTSVG_LIBRARY} ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KHTML_LIBS} ${KDE4_KWALLETCLIENT_LIBS} ${KDE4_KDESU_LIBS} gvc graph pathplan cdt kgraphviewerlib)

install( TARGETS kgraphviewerpart DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kgraphviewer_partsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES kgraphviewer_part.rc DESTINATION ${DATA_INSTALL_DIR}/kgraphviewerpart )

install( FILES kgraphviewer_part.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kgraphviewer-bev.png DESTINATION ${DATA_INSTALL_DIR}/kgraphviewerpart/pics )
install( FILES kgraphviewer-newnode.png DESTINATION ${DATA_INSTALL_DIR}/kgraphviewerpart/pics )
install( FILES kgraphviewer-newedge.png DESTINATION ${DATA_INSTALL_DIR}/kgraphviewerpart/pics )

install(FILES kgraphviewer_interface.h DESTINATION ${INCLUDE_INSTALL_DIR}/kgraphviewer/ COMPONENT Devel)
install(FILES dotgraphview.h DESTINATION ${INCLUDE_INSTALL_DIR}/kgraphviewer/ COMPONENT Devel)
install(FILES kgraphviewer_export.h DESTINATION ${INCLUDE_INSTALL_DIR}/kgraphviewer/ COMPONENT Devel)

=== debian/changelog ===
kgraphviewer (4:2.1.1-0ubuntu2) quantal; urgency=low

  * Build with boost1.49

 -- Scott Kitterman <scott@kitterman.com>  Tue, 29 May 2012 09:53:15 -0400

kgraphviewer (4:2.1.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Remove debian/patches/doctype_version.patch (incorporated upstream)
  * Build with boost1.46
  * Update debian/rules to match current KDE package best practices

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Aug 2011 18:04:53 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <trigger+debian@space-based.de>
 Build-Depends: debhelper (>= 7.4.13), cmake, kdelibs5-dev (>= 4:4.4.0),
- libboost1.42-dev, kdepimlibs5-dev (>= 4:4.4.0), libphonon-dev,
- libgraphviz-dev, pkg-kde-tools (>= 0.5.3)
+ libboost1.49-dev, kdepimlibs5-dev (>= 4:4.4.0), libphonon-dev,
+ libgraphviz-dev, pkg-kde-tools (>= 0.14)
 Standards-Version: 3.8.4
 Homepage: http://extragear.kde.org/apps/kgraphviewer/

## kgraphviewer 2.1.90

=== CMakeLists.txt ===
project(kgraphviewer)
cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH})

set(KGRAPHVIEWER_VERSION_MAJOR "2")
set(KGRAPHVIEWER_VERSION_MINOR "1")
set(KGRAPHVIEWER_VERSION_PATCH "90")
set(KGRAPHVIEWER_SOVERSION "${KGRAPHVIEWER_VERSION_MAJOR}")
set(KGRAPHVIEWER_LIB_VERSION "${KGRAPHVIEWER_VERSION_MAJOR}.${KGRAPHVIEWER_VERSION_MINOR}")
configure_file (config-kgraphviewer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kgraphviewer.h )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

find_package(Boost 1.36 REQUIRED)
find_package(GraphViz REQUIRED)

if(NOT DOT)
   MESSAGE(STATUS "dot executable from GraphViz not found. You will need it at runtime")
endif(NOT DOT)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

remove_definitions(-DQT_NO_STL) 

include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES}
    ${graphviz_INCLUDE_DIRECTORIES}
    ${INCLUDE_INSTALL_DIR}
)

add_subdirectory(src)
add_subdirectory(doc)


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== doc/CMakeLists.txt ===
add_subdirectory(et)
add_subdirectory(pt)
add_subdirectory(it)
add_subdirectory(pt_BR)
add_subdirectory(de)
add_subdirectory(uk)
add_subdirectory(en_US)
add_subdirectory(sv)
add_subdirectory(nl)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(km)
add_subdirectory(gl)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(ro)
add_subdirectory(bs)
add_subdirectory(pt)
add_subdirectory(it)
add_subdirectory(pt_BR)
add_subdirectory(zh_TW)
add_subdirectory(ca)
add_subdirectory(hu)
add_subdirectory(nds)
add_subdirectory(nb)
add_subdirectory(de)
add_subdirectory(ca@valencia)
add_subdirectory(pl)
add_subdirectory(cs)
add_subdirectory(uk)
add_subdirectory(eu)
add_subdirectory(zh_CN)
add_subdirectory(tr)
add_subdirectory(da)
add_subdirectory(sv)
add_subdirectory(el)
add_subdirectory(nl)
add_subdirectory(ru)
add_subdirectory(fr)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 add_subdirectory( part )
 
-include_directories( part ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )
+include_directories( part ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${graphviz_INCLUDE_DIRECTORIES} )
 
 
 ########### kgraphviewer target ###############
@@ -22,7 +22,7 @@
 
 kde4_add_executable(kgraphviewer ${kgraphviewer_SRCS})
 
-target_link_libraries(kgraphviewer  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS})
+target_link_libraries(kgraphviewer ${KDE4_KPARTS_LIBS})
 
 install( TARGETS kgraphviewer ${INSTALL_TARGETS_DEFAULT_ARGS})
 
@@ -32,7 +32,7 @@
 
 install( FILES kgraphviewersettings.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
 install( FILES kgraphviewerui.rc DESTINATION ${DATA_INSTALL_DIR}/kgraphviewer )
-install( FILES kgraphviewer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
+install( PROGRAMS kgraphviewer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
 
 
 ########### kgrapheditor target ###############
@@ -47,7 +47,7 @@
 
 kde4_add_executable(kgrapheditor ${kgrapheditor_SRCS})
 
-target_link_libraries(kgrapheditor  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS} kgraphviewerlib)
+target_link_libraries(kgrapheditor ${KDE4_KPARTS_LIBS})
 
 install( TARGETS kgrapheditor ${INSTALL_TARGETS_DEFAULT_ARGS})
 
@@ -55,8 +55,8 @@
 
 install( FILES kgrapheditorsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
 install( FILES kgrapheditorui.rc DESTINATION ${DATA_INSTALL_DIR}/kgrapheditor )
-install( FILES kgrapheditor.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
-
+install( PROGRAMS kgrapheditor.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
+install( FILES kgraphviewer.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/ )
 
 
 #add_subdirectory(plasmaapplet)

=== doc/de/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de SUBDIR kgraphviewer )

=== doc/en_US/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kgraphviewer )

=== doc/et/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/et SUBDIR kgraphviewer )

=== doc/it/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it SUBDIR kgraphviewer )

=== doc/nl/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl SUBDIR kgraphviewer )

=== doc/pt/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt SUBDIR kgraphviewer )

=== doc/pt_BR/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR SUBDIR kgraphviewer )

=== doc/sv/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv SUBDIR kgraphviewer )

=== debian/changelog ===
kgraphviewer (4:2.1.90-0ubuntu2) wily; urgency=medium

  * Change build dependency libboost1.55-dev to libboost-dev to facilitate
    gcc5 transition.

 -- Harald Sitter <sitter@kde.org>  Fri, 14 Aug 2015 15:35:52 +0200

kgraphviewer (4:2.1.90-0ubuntu1) utopic; urgency=medium

  * New upstream release 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 26 Jun 2014 06:06:04 -0700

=== debian/control ===
Source: kgraphviewer
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Armin Berres <trigger+debian@space-based.de>
Build-Depends: cmake,
               debhelper,
               kdelibs5-dev,
               kdepimlibs5-dev,
               libboost-dev,
               libgraphviz-dev,
               libphonon-dev,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: http://extragear.kde.org/apps/kgraphviewer/

Package: kgraphviewer-dev
Architecture: any
Section: devel
Depends: kgraphviewer (= ${binary:Version}), ${shlibs:Depends}
Description: GraphViz dot graph viewer - devel files
 KGraphViewer is a GraphViz dot graph viewer. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.

Package: kgraphviewer
Architecture: any
Section: utils
Depends: graphviz, ${misc:Depends}, ${shlibs:Depends}
Description: GraphViz dot graph viewer
 KGraphViewer is a GraphViz dot graph viewer. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.

Package: libkgraphviewer2
Architecture: any
Section: libs
Depends: kgraphviewer (= ${binary:Version}), ${shlibs:Depends}
Description: GraphViz dot graph viewer - libs
 KGraphViewer is a GraphViz dot graph viewer for. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.

Package: kgraphviewer-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kgraphviewer (= ${binary:Version}), ${misc:Depends}
Description: GraphViz dot graph viewer for KDE 4 debug files
 KGraphViewer is a GraphViz dot graph viewer for KDE 4. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kgraphviewer-dbg

## kgraphviewer 25.04.0

=== debian/changelog ===
kgraphviewer (4:25.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the upstream GPG signing key to the same used in other
    release-service components.
  * CI: update/simplify configuration.
  * Update debian/copyright.
  * ACK 4:25.03.90-1.1 NMU. (Closes: #1102640)

 -- Pino Toscano <pino@debian.org>  Sat, 26 Apr 2025 08:38:11 +0200

kgraphviewer (4:25.03.90-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Apr 2025 14:18:37 +0300

kgraphviewer (4:25.03.90-1) unstable; urgency=medium

  [ Simon Quigley ]
  * New upstream release (Closes: #675033) (LP: #1757695).
  * Transition to using a dbgsym package.
  * Make myself the only Uploader and make the Debian KDE Extras team
    the Maintainer (Closes: #675033).
  * Add hardening rules and build with kf5 in debian/rules.
  * Bump debhelper compat to 11, no changes needed.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Update homepage to the current one.
  * Add watch file and upstream signing key.
  * Rename libkgraphviewer2 to libkgraphviewer3.
  * Add qtbase5-dev as a runtime dependency of kgraphviewer-dev.

  [ Pino Toscano ]
  * Improve libkgraphviewer3.install to catch potential SONAME bumps.
  * Stop appending -Wall -pedantic to the CFLAGS, since there are no C sources,
    and they are used already.
  * Simplify watch file, and switch it to https.
  * Explicitly add the pkgconf build dependency.
  * Remove unused ${shlibs:Depends} substvar from kgraphviewer-dev.
  * Make sure the ${misc:Depends} substvar is used in all the binaries.
  * Improve the dependencies:
    - remove the kgraphviewer dependency in libkgraphviewer3, since it is the
      other way round (i.e. kgraphviewer uses the library)
    - tighten the libkgraphviewer3 dependency in kgraphviewer
  * Make sure that the watch file can catch versions with a-z characters too
    (needed for 2.4.3a).
  * Remove the libkf5kio-dev build dependency, no more required by the upstream
    build system.
  * Bump Standards-version to 4.7.0, no changes required.
  * Remove dbgsym migration, since the -dbg package was never in Debian.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Add the configuration for the CI on salsa.

  [ Aurélien COUDERC ]
  * Move the package under the main Qt/KDE team’s umbrella now that it’s
    part of KDE Gear.
  * Update watch file to match new download location as part of Gear
    releases.
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.
  * New upstream release (25.03.90).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Use upstream soname libkgraphviewer0, update the list of installed
    files.
  * Switch to declarative KF6 debhelper build sequence.
  * Split documentation into it’s own -doc package.
  * Review copyright information.
  * Bump Standards-Version to 4.7.2, no change required.
  * Add myself to the uploaders.
  * Simplify package descriptions.
  * Add lintian overrides for old FSF license text having the old FSF
    address.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Apr 2025 22:54:33 +0200

kgraphviewer (4:2.1.90-0ubuntu3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:57 +0000

=== debian/control ===
Source: kgraphviewer
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Simon Quigley <tsimonq2@ubuntu.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libboost-dev (>= 1.36~),
               libgraphviz-dev,
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Homepage: https://www.kde.org/applications/graphics/kgraphviewer/
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgraphviewer.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgraphviewer
Rules-Requires-Root: no

Package: kgraphviewer-dev
Architecture: any
Section: devel
Depends: kgraphviewer (= ${binary:Version}), qt6-base-dev, ${misc:Depends},
Description: GraphViz dot graph viewer - devel files
 KGraphViewer is a tool to display graphviz .dot graphs.
 .
 It is more generally a KPart able to display any graph data that
 graphviz can handle.
 .
 This package contains the development files for KGraphViewer.

Package: kgraphviewer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Description: GraphViz dot graph viewer - user documentation
 KGraphViewer is a tool to display graphviz .dot graphs.
 .
 It is more generally a KPart able to display any graph data that
 graphviz can handle.
 .
 This package contains the user documentation for KGraphViewer.

Package: kgraphviewer
Architecture: any
Depends: graphviz,
         libkgraphviewer0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kgraphviewer-doc,
Description: GraphViz dot graph viewer
 KGraphViewer is a tool to display graphviz .dot graphs.
 .
 It is more generally a KPart able to display any graph data that
 graphviz can handle.

Package: libkgraphviewer0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: GraphViz dot graph viewer - shared library
 KGraphViewer is a tool to display graphviz .dot graphs.
 .
 It is more generally a KPart able to display any graph data that
 graphviz can handle.
 .
 This package contains the shared library for KGraphViewer.

## kgraphviewer 25.04.3

=== debian/changelog ===
kgraphviewer (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:43:53 +0100

kgraphviewer (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:46:49 +0100

kgraphviewer (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:07:05 +0100

## kgraphviewer 25.07.80

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "07")
set (RELEASE_SERVICE_VERSION_MICRO "80")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KGRAPHVIEWER_BASE_VERSION once new features are added
set(KGRAPHVIEWER_BASE_VERSION "2.5")
set(KGRAPHVIEWER_VERSION "${KGRAPHVIEWER_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(kgraphviewer VERSION ${KGRAPHVIEWER_VERSION})
set(KGRAPHVIEWERLIB_SOVERSION 0)

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(CMakePackageConfigHelpers)
include(KDEClangFormat)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMSetupVersion)

# search basic libraries first
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    DBus
    Widgets
    Svg
    PrintSupport
    Core5Compat
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
    Parts
    WidgetsAddons
)

find_package(KF6DocTools ${KF_MIN_VERSION})

find_package(Boost 1.36 REQUIRED)
find_package(Graphviz 2.30.0 REQUIRED)

find_package(DOT)
set_package_properties(DOT PROPERTIES
    DESCRIPTION "Tool to draw directed graphs"
    URL "https://www.graphviz.org/"
    PURPOSE "Needed for parsing .dot files"
    TYPE RUNTIME
)

option(BUILD_GRAPHEDITOR "Build the graph editor app (WIP, not yet functional). [default=OFF]" OFF)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 6.0
)

add_subdirectory(src)

ki18n_install(po)

if(KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ecm_qt_install_logging_categories(
    EXPORT KGRAPHVIEWER
    FILE kgraphviewer.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kgraphviewer (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:11:38 +0100

## kgraphviewer 25.07.90

=== debian/changelog ===
kgraphviewer (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:46:35 +0100

## kgraphviewer 25.08.0

=== debian/changelog ===
kgraphviewer (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:24:28 +0100

## kgraphviewer 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "07")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KGRAPHVIEWER_BASE_VERSION once new features are added

=== doc/CMakeLists.txt ===
add_subdirectory(en_US)

=== doc/en_US/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kgraphviewer)

=== debian/changelog ===
kgraphviewer (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:54:03 +0100

## kgraphviewer 25.08.1+p24.04+vstable+git20250922.1025

=== debian/changelog ===
kgraphviewer (4:25.08.1+p24.04+vstable+git20250922.1025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 10:25:02 +0000

kgraphviewer (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 08:58:42 +0000

kgraphviewer (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:33:43 +0000

kgraphviewer (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:15:00 +0000

kgraphviewer (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:33:20 +0000

kgraphviewer (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:21:30 +0000

kgraphviewer (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:07:16 +0000

kgraphviewer (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:33:56 +0000

kgraphviewer (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:43:14 +0000

kgraphviewer (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:33:19 +0000

kgraphviewer (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:30:46 +0000

kgraphviewer (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:31:36 +0000

kgraphviewer (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:04:01 +0000

kgraphviewer (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:41:55 +0000

kgraphviewer (4:24.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 May 2024 17:11:06 +0000

kgraphviewer (4:2.4.3-0neon) xenial; urgency=medium

  [ Simon Quigley ]
  * New upstream release (LP: #1757695).
  * Transition to using a dbgsym package.
  * Make myself the only Uploader and make the Debian KDE Extras team
    the Maintainer (Closes: #675033).
  * Add hardening rules and build with kf5 in debian/rules.
  * Bump debhelper compat to 11, no changes needed.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Update homepage to the current one.
  * Add watch file and upstream signing key.
  * Rename libkgraphviewer2 to libkgraphviewer3.
  * Add qtbase5-dev as a runtime dependency of kgraphviewer-dev.

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Sep 2018 12:18:47 +0000

## kgraphviewer 25.08.1+p24.04+vstable+git20251002.0436

=== debian/changelog ===
kgraphviewer (4:25.08.1+p24.04+vstable+git20251002.0436-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:36:54 +0000

## kgraphviewer 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KGRAPHVIEWER_BASE_VERSION once new features are added

=== debian/changelog ===
kgraphviewer (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:45:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kgraphviewer
 Section: utils
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                libboost-dev (>= 1.36~),
                libgraphviz-dev,
@@ -21,14 +22,16 @@
                qt6-svg-dev (>= 6.5.0~),
 Homepage: https://www.kde.org/applications/graphics/kgraphviewer/
 Standards-Version: 4.7.2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgraphviewer.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgraphviewer
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgraphviewer
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgraphviewer
 Rules-Requires-Root: no
 
 Package: kgraphviewer-dev
 Architecture: any
 Section: devel
-Depends: kgraphviewer (= ${binary:Version}), qt6-base-dev, ${misc:Depends},
+Depends: kgraphviewer (= ${binary:Version}),
+         qt6-base-dev,
+         ${misc:Depends},
 Description: GraphViz dot graph viewer - devel files
  KGraphViewer is a tool to display graphviz .dot graphs.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## kgraphviewer 25.08.2+p24.04+vstable+git20251015.1441

=== debian/changelog ===
kgraphviewer (4:25.08.2+p24.04+vstable+git20251015.1441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:41:44 +0000

kgraphviewer (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:45:59 +0000

## kgraphviewer 25.08.2+p24.04+vstable+git20251019.0347

=== debian/changelog ===
kgraphviewer (4:25.08.2+p24.04+vstable+git20251019.0347-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:47:13 +0000

## kgraphviewer 25.08.2+p24.04+vunstable+git20251010.0712

=== debian/changelog ===
kgraphviewer (4:25.08.2+p24.04+vunstable+git20251010.0712-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 07:13:00 +0000

## kgraphviewer 25.08.2+p24.04+vunstable+git20251015.0737

=== debian/changelog ===
kgraphviewer (4:25.08.2+p24.04+vunstable+git20251015.0737-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:37:36 +0000
